import { html } from 'lit-html';
const meta = {
    title: 'Snackbar',
    component: 'zero-snackbar',
};
export default meta;
const showError = (errorText) => {
    var _a;
    let snackbar = document.querySelector('#js-snackbar');
    if (!snackbar) {
        snackbar = document.createElement('zero-snackbar');
        snackbar.id = 'js-snackbar';
        (_a = document.querySelector('#zero-snackbar')) === null || _a === void 0 ? void 0 : _a.appendChild(snackbar);
    }
    snackbar.error = {
        title: 'Error Title',
        errorDetails: `${errorText} ID - ${Math.random()}`,
        config: {
            snackbar: {
                type: 'error',
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
};
export const Primary = {
    args: {
        errorText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit.',
    },
    render: ({ errorText }) => html `
    <div id="zero-snackbar" style="width: 100%;">
      <zero-button @click="${() => showError(errorText)}">Show Zero Snackbar</zero-button>
    </div>
  `,
};
